org.apache.cassandra.service

## Interface IEndpointLifecycleSubscriber

    public interface IEndpointLifecycleSubscriber

Interface on which interested parties can be notified of high level endpoint state changes. Note that while IEndpointStateChangeSubscriber notify about gossip related changes (IEndpointStateChangeSubscriber.onJoin() is called when a node join gossip), this interface allows to be notified about higher level events.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onDown(java.net.InetAddress endpoint)` Called when a node is marked DOWN.
`void` `onJoinCluster(java.net.InetAddress endpoint)` Called when a new node joins the cluster, i.e.
`void` `onLeaveCluster(java.net.InetAddress endpoint)` Called when a new node leave the cluster (decommission or removeToken).
`void` `onMove(java.net.InetAddress endpoint)` Called when a node has moved (to a new token).
`void` `onUp(java.net.InetAddress endpoint)` Called when a node is marked UP.

### Method Detail

#### onJoinCluster

    void onJoinCluster(java.net.InetAddress endpoint)

Called when a new node joins the cluster, i.e. either has just been bootstrapped or "instajoins".

Parameters:
  `endpoint` - the newly added endpoint.

#### onLeaveCluster

    void onLeaveCluster(java.net.InetAddress endpoint)

Called when a new node leave the cluster (decommission or removeToken).

Parameters:
  `endpoint` - the endpoint that is leaving.

#### onUp

    void onUp(java.net.InetAddress endpoint)

Called when a node is marked UP.

Parameters:
  `endpoint` - the endpoint marked UP.

#### onDown

    void onDown(java.net.InetAddress endpoint)

Called when a node is marked DOWN.

Parameters:
  `endpoint` - the endpoint marked DOWN.

#### onMove

    void onMove(java.net.InetAddress endpoint)

Called when a node has moved (to a new token).

Parameters:
  `endpoint` - the endpoint that has moved.